@if (componentData) {
  <div class="two-grids-container">
    <div class="sprint-req-version-information-grid">
      <sqtm-core-label
        [text]="'sqtm-core.entity.generic.status.label' | translate"
      >
      </sqtm-core-label>
      @if (isSynchronized) {
        <div [attr.data-test-field-id]="'requirement-version-status'">
          <span class="full-width">
            {{ getText('status') }}
          </span>
        </div>
      } @else {
        <sqtm-core-editable-select-level-enum-field
          class="full-width"
          [attr.data-test-field-id]="'requirement-version-status'"
          [layout]="'no-buttons'"
          [enumType]="'RequirementStatus'"
          [showIcon]="true"
          [selectedEnumItem]="componentData.sprintReqVersion.status"
          [editable]="false"
        >
        </sqtm-core-editable-select-level-enum-field>
      }
      <sqtm-core-label
        [text]="'sqtm-core.entity.requirement.criticality.label' | translate"
      >
      </sqtm-core-label>
      @if (isSynchronized) {
        <div [attr.data-test-field-id]="'requirement-version-criticality'">
          <span class="full-width">
            {{ getText('criticality') }}
          </span>
        </div>
      } @else {
        <div class="flex-row">
          <sqtm-core-editable-select-level-enum-field
            [attr.data-test-field-id]="'requirement-version-criticality'"
            class="full-width"
            [showIcon]="true"
            [layout]="'no-buttons'"
            [enumType]="'RequirementCriticality'"
            [editable]="false"
            [sqtmCoreEntityViewEditableSelectLevelEnumField]="'criticality'"
          >
          </sqtm-core-editable-select-level-enum-field>
        </div>
      }
      <sqtm-core-label
        [text]="'sqtm-core.entity.requirement.category.label' | translate"
      >
      </sqtm-core-label>

      <div class="flex-row">
        @if (
          componentData.sprintReqVersion.mode !== ManagementMode.SYNCHRONIZED
        ) {
          <i
            nz-icon
            [nzType]="getIcon(componentData.sprintReqVersion)"
            nzTheme="outline"
            class="p-r-10 sqtm-core-infolist-icon requirement-version-information-icon table-icon-size"
          ></i>
        }
        <div [attr.data-test-field-id]="'sprint-req-version-category'">
          <span class="full-width">
            {{ getCategoryLabel(componentData.sprintReqVersion) }}
          </span>
        </div>
      </div>

      <sqtm-core-label
        [text]="
          'sqtm-core.sprint.req-version.validation-status.title' | translate
        "
      >
      </sqtm-core-label>

      <sqtm-core-editable-select-level-enum-field
        #validationStatusField
        [attr.data-test-field-id]="'sprint-req-version-validation-status'"
        [layout]="'no-buttons'"
        [showIcon]="true"
        [enumType]="'SprintReqVersionValidationStatus'"
        [selectedEnumItem]="componentData.sprintReqVersion.validationStatus"
        [editable]="$isSprintClosed() && componentData.permissions.canWrite"
        (confirmEvent)="updateValidationStatus($event)"
      >
      </sqtm-core-editable-select-level-enum-field>

      @if (isSynchronized && componentData.sprintReqVersion.remoteReqState) {
        <sqtm-core-label
          [text]="'sqtm-core.sprint.req-version.remote-req-state' | translate"
        >
        </sqtm-core-label>
        <span>{{ componentData.sprintReqVersion.remoteReqState }}</span>
      }
    </div>

    <div class="sprint-req-version-information-grid">
      @if (isSynchronized) {
        <sqtm-core-label
          [text]="'sqtm-core.entity.generic.url.label' | translate"
        >
        </sqtm-core-label>
        <div
          class="flex-row"
          [attr.data-test-field-id]="'sprint-group-ticket-url'"
        >
          <a
            [href]="componentData.sprintReqVersion.remoteReqUrl"
            target="_blank"
          >
            {{
              extractGitlabProjectAndIidFromUrl(
                componentData.sprintReqVersion.remoteReqUrl
              )
            }}
          </a>
        </div>
      }

      <sqtm-core-label
        [text]="'sqtm-core.entity.requirement.version.id.full' | translate"
      >
      </sqtm-core-label>
      <div [attr.data-test-field-id]="'sprint-req-version-id'">
        @if (componentData.sprintReqVersion.versionId !== null) {
          <a
            [routerLink]="[
              '/',
              'requirement-workspace',
              'requirement-version',
              'detail',
              componentData.sprintReqVersion.versionId,
              'content'
            ]"
            [attr.data-test-link-id]="'sprint-req-version'"
          >
            {{ componentData.sprintReqVersion.versionId }}</a
          >
        } @else {
          {{ '-' }}
        }
      </div>

      <sqtm-core-label
        [text]="'sqtm-core.entity.generic.creation.label' | translate"
      >
      </sqtm-core-label>
      <sqtm-core-auditable-field
        [attr.data-test-field-id]="'sprint-group-created'"
        [userName]="componentData.sprintReqVersion.createdBy"
        [date]="componentData.sprintReqVersion.createdOn"
      >
      </sqtm-core-auditable-field>
      <sqtm-core-label
        [text]="'sqtm-core.entity.generic.modification.label' | translate"
      >
      </sqtm-core-label>
      <sqtm-core-auditable-field
        [attr.data-test-field-id]="'sprint-group-lastModified'"
        [userName]="componentData.sprintReqVersion.lastModifiedBy"
        [date]="componentData.sprintReqVersion.lastModifiedOn"
      >
      </sqtm-core-auditable-field>
    </div>
  </div>

  @if (this.isDescriptionExtended$()) {
    <div class="full-width sprint-req-version-description p-10">
      <div class="m-b-10">
        <i
          class="m-r-10"
          nz-icon
          nzType="{{ 'caret-down' }}"
          nzTheme="outline"
          (click)="toggleSprintReqDescription()"
        ></i>
        <span class="label-color">{{
          'sqtm-core.entity.generic.description.label' | translate
        }}</span>
      </div>
      <sqtm-core-editable-rich-text
        [attr.data-test-field-id]="'sprint-req_version-description'"
        [editable]="false"
        [focus]="true"
        [sqtmCoreEntityViewEditableRichTextField]="'description'"
      >
      </sqtm-core-editable-rich-text>
    </div>
  } @else {
    <div
      class="full-width sprint-req-version-description sprint-req-version-description-collapsed txt-ellipsis"
    >
      <div class="flex-row full-height p-10">
        <i
          class="m-t-auto m-b-auto m-r-10"
          nz-icon
          nzType="caret-right"
          nzTheme="outline"
          (click)="toggleSprintReqDescription()"
          [attr.data-test-element-id]="'extend-sprint-req_version-description'"
        ></i>
        <span class="label-color"
          >{{
            'sqtm-core.entity.generic.description.label' | translate
          }}
          :</span
        >
        <p [innerHTML]="componentData.sprintReqVersion.description"></p>
      </div>
    </div>
  }
}
